@echo off

cls
echo LibraryMaker
echo ~~~~~~~~~~~~
echo.
echo LMaker InputFile OutputFile
echo            \         \
echo             \         \______ DLL filename (without the extension)
echo              \
echo               \______________ Resource filename (without the extension)
echo.
echo.
echo.

set X=%1
set Y=%2
if "%Y%" == "" goto error
if exist %X%.rc goto library
goto error


:library
windres %X%.rc -o %X%.o
if errorlevel 1 goto error

dllwrap %X%.o -o %X%.dll
if exist %X%.dll del %X%.o

strip %X%.dll -o %Y%.dll
if exist %Y%.dll del %X%.dll

set X=
set Y=

echo.
echo.
echo DONE!
echo.
echo.
goto end


:error
set X=
set Y=

echo ERROR!
echo.
echo.
goto end


:end